Bug 107049 - monitor not found in 4.17+ kernel
Summary: monitor not found in 4.17+ kernel
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: unspecified
Hardware: PowerPC Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-27 10:16 UTC by Dan Horák
Modified: 2019-05-06 08:52 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
boot log for 4.18.0-0.rc2.git2.1.fc29 (93.65 KB, text/plain)
2018-06-27 10:17 UTC, Dan Horák
no flags Details
boot log for 4.16.16-300.fc28 (91.95 KB, text/plain)
2018-06-27 10:19 UTC, Dan Horák
no flags Details
Xorg log for 4.18.0-0.rc2.git2.1.fc29 (26.08 KB, text/plain)
2018-06-27 14:44 UTC, Dan Horák
no flags Details
Xorg log for 4.17.2-200.fc28 with amdgpu.dc=0 (31.80 KB, text/plain)
2018-06-27 14:46 UTC, Dan Horák
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Horák 2018-06-27 10:16:04 UTC
When booting kernel 4.17 or 4.18-pre on Power9 machine with Radeon Pro WX 4100 I get no output on a monitor connected thru DisplayPort, the monitor is not detected by the driver and a "PowerPlay" error appears in the kernel log. When booting 4.16 kernel (kernel-4.16.16-300.fc28.ppc64le), all is OK. See attached dmesg (resp. journalctl -k -b) outputs.
Comment 1 Dan Horák 2018-06-27 10:17:43 UTC
Created attachment 140359 [details]
boot log for 4.18.0-0.rc2.git2.1.fc29
Comment 2 Dan Horák 2018-06-27 10:19:05 UTC
Created attachment 140360 [details]
boot log for 4.16.16-300.fc28
Comment 3 Dan Horák 2018-06-27 10:24:05 UTC
No output is for the host OS (kernel), that's kexec-ed from the bootloader. I see the petitboot output.
Comment 4 Michel Dänzer 2018-06-27 10:51:47 UTC
amdgpu.dc=0 on the kernel command line might serve as a workaround for now.
Comment 5 Dan Horák 2018-06-27 11:14:22 UTC
(In reply to Michel Dänzer from comment #4)
> amdgpu.dc=0 on the kernel command line might serve as a workaround for now.

Thanks, it helps.
Comment 6 Ben Crocker 2018-06-27 14:33:38 UTC
Dan,

Could you please also post the respective /var/log/Xorg.* logs?
Thanks!
Comment 7 Dan Horák 2018-06-27 14:44:27 UTC
Created attachment 140364 [details]
Xorg log for 4.18.0-0.rc2.git2.1.fc29
Comment 8 Dan Horák 2018-06-27 14:46:42 UTC
Created attachment 140365 [details]
Xorg log for 4.17.2-200.fc28 with amdgpu.dc=0
Comment 9 Dan Horák 2019-05-02 06:18:05 UTC
Probably a good news, the amdgpu.dc=0 workaround isn't needed with 5.1-rc7 (haven't checked previous kernels yet).
Comment 10 Dan Horák 2019-05-04 13:04:43 UTC
and the dc=0 was still required for 5.0, so sound like an improvement in 5.1
Comment 11 Michel Dänzer 2019-05-06 08:52:13 UTC
(In reply to Dan Horák from comment #10)
> and the dc=0 was still required for 5.0, so sound like an improvement in 5.1

Glad to hear it's fixed in 5.1! Thanks for the follow-ups, resolving accordingly.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.